Skip to main content
DELETE
/
debtor
/
{debtorId}
Delete a debtor
curl --request DELETE \
  --url https://collectwiseapi.com/debtor/{debtorId} \
  --header 'collectwise_key: <api-key>'
import requests

url = "https://collectwiseapi.com/debtor/{debtorId}"

headers = {"collectwise_key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {collectwise_key: '<api-key>'}};

fetch('https://collectwiseapi.com/debtor/{debtorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Debtor successfully deleted"
}
{
"code": 400,
"message": "Invalid input: debtorName is required"
}

Authorizations

collectwise_key
string
header
required

Path Parameters

debtorId
string
required

Unique identifier of the debtor to delete

Response

Debtor deleted successfully

message
string
Example:

"Debtor successfully deleted"